import { __spreadValues } from './chunk-5USKE2QT.js';

// src/utils.ts
function isBrowser() {
  return typeof window !== "undefined" && typeof document !== "undefined";
}
function isFunction(value) {
  return typeof value === "function";
}
function omit(obj, keys) {
  const copy = __spreadValues({}, obj);
  keys.forEach((key) => delete copy[key]);
  return copy;
}
function classnames(...args) {
  return args.filter(Boolean).join(" ");
}
function omitUndefined(obj) {
  return omit(
    obj,
    Object.keys(obj).filter((key) => obj[key] === void 0)
  );
}

export { classnames, isBrowser, isFunction, omit, omitUndefined };
